## gweled 0.4.3

=== Makefile ===
CFLAGS:=-Wall $(shell sdl-config --cflags) \
	$(shell pkg-config glib-2.0 --cflags) -DMAEMO

LDFLAGS:=$(shell sdl-config --libs) \
	$(shell pkg-config glib-2.0 --libs) \
	-lSDL_image -lSDL_mixer

SRC     := board.c graphics.c main.c sge_core.c sound.c
OBJ     := $(patsubst %.c, %.o, $(SRC))

all: gweled
PREFIX:=/opt/maemo/usr

BINDIR=$(DESTDIR)/$(PREFIX)/bin
DATADIR=$(DESTDIR)/$(PREFIX)/share/gweled

install: all
	install -d $(BINDIR)
	install -m 0755 gweled $(BINDIR)
	install -d $(DATADIR)/pixmaps
	install -d $(DATADIR)/sounds
	install -m 0644 sounds/* $(DATADIR)/sounds/
	install -m 0644 pixmaps/* $(DATADIR)/pixmaps
	
install-hildon:	
	install -d $(DESTDIR)/usr/share/icons/hicolor/64x64/apps/
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install -m 0644 icon/* $(DESTDIR)/usr/share/icons/hicolor/64x64/apps/
	cat gweled.desktop.in | sed -e "s|@PREFIX|$(PREFIX)|g" > gweled.desktop
	install -m 0644 gweled.desktop $(DESTDIR)/usr/share/applications/hildon/gweled.desktop

uninstall:

$(OBJ): %.o : %.c
	$(CC) -c $(<) $(I) $(CFLAGS) -DDATADIR=\"$(PREFIX)/share/gweled/\"

gweled:  $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) $(^) -o $(@) 
	strip gweled

clean:
	rm -f *.o gweled

## gweled 0.3.2-1

=== debian/changelog ===
gweled (0.3.2-1) unstable; urgency=low

  * Fixed up old garage tarball for fremantle

 -- Flandry <davidfalkayn@gmail.com>  Sat,  2 Jan 2010 23:21:09 -0500

gweled (0.3.2) unstable; urgency=low

  * error in gweled_release

 -- Peter Kosyh <gl00my@mail.ru>  Tue, 15 Apr 2008 22:42:00 -0300

gweled (0.3.1) unstable; urgency=low

  * changing libmikmod to SDL_mixer
  * pthread req. removed
  * sync fixes

 -- Peter Kosyh <gl00my@mail.ru>  Tue, 15 Apr 2008 11:30:00 -0300

gweled (0.3) unstable; urgency=low

  * untimed mode added

 -- Peter Kosyh <gl00my@mail.ru>  Tue, 18 Mar 2008 18:02:00 -0300

gweled (0.2.1) unstable; urgency=low

  * bug fixes with deb packages

 -- Peter Kosyh <gl00my@mail.ru>  Mon, 17 Mar 2008 11:30:00 -0300

gweled (0.2) unstable; urgency=low

  * bug fixes

 -- Peter Kosyh <gl00my@mail.ru>  Mon, 10 Mar 2008 11:12:00 -0300

gweled (0.1) unstable; urgency=low

  * first release

 -- Peter Kosyh <gl00my@mail.ru>  Wed, 4 Mar 2008 13:10:00 -0300

=== debian/control ===
Source: gweled
Section: user/games
Priority: optional
Maintainer: Flandry <davidfalkayn@gmail.com>, Peter Kosyh
Build-Depends: libsdl1.2-dev, libsdl-image1.2-dev, libglib2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.0
Provides: bejeweled

Package: gweled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A shiny puzzle game
XB-Maemo-Display-Name: Gweled
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gweled
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAw1BMVEUAAAAK
  DQkCDxYAGCIQHSIaHBoJKzgqKykFPE06OzkTSVsIT21ERUMoT1w1UlpLTUoA
  bJFTVVMLaLQAbrguZXYAesEAgsdmaGUAkdgAlcUKk9AWmb8AotEAouFXh5M+
  k60KrumEhoMsqeA3qc8Av/8etvMAxv8hue4UwfwAzf+HqrNLwu1/uMpexehZ
  yPRO1f9b3v9r2v192fmO1+eG4fun2OWX7P6x7v+u9v+98//Q9f/N///l+v/k
  //3y///9//0ABwp9cZfiAAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJ
  cEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfWCBUUEzrjyCpyAAABKUlEQVQo
  z6WS23aCMBBFBUWtQoWkgXqhppZEInItBQmg+f+vknpZWqtP7sfsNSszZ6bV
  eoLPkXHBujaWGA4atF9etY56MYY8Leu6rqrtbrfdluu2emXq5vFAxTnf+Gdn
  yOvqLCpe5HmaLdujwz/ymCVhGMYNvu8HnhcE0Zd8qJJ0hzhHEADAjJN0sxLH
  xsWYEDelrusiCMEiirLvzmkAtWvjhDPHpY1CXhinWu/cojKMeZEQ1zEhNGkY
  zaXLYGJV5ikhjQI2Y6ceTmkoP0W+xBhBhCnrv1wn1dPyPFhgBEzKdPE3X+kj
  S2wbQZvNxG32Yp3NJggQ2ldv1aibehNkMl36vzLlLZ5AeyrurVOaLxDuGveU
  1Zm+D5X7V9Ab6OLRhQjZeng8Sutp9uOkKChAoqVTAAAAAElFTkSuQmCC

## gweled 0.3.2-2

=== debian/changelog ===
gweled (0.3.2-2) unstable; urgency=low

  * Grabbed graphic from home page and made new fremantle-sized icon

 -- Flandry <davidfalkayn@gmail.com>  Sun,  3 Jan 2010 01:22:35 -0500

=== debian/control ===
Source: gweled
Section: user/games
Priority: optional
Maintainer: Flandry <davidfalkayn@gmail.com>, Peter Kosyh
Build-Depends: libsdl1.2-dev, libsdl-image1.2-dev, libglib2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.0
Provides: bejeweled

Package: gweled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A shiny puzzle game
XB-Maemo-Display-Name: Gweled
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gweled
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFAAEAAwAFBgAAAAIFAQQAAAQHAAYKAwkMBA4VABEWABUeARom
 ARwkCRskAB8rACMvByIqACU2AiYyACo6GCYrECszADJCBTFCETE+EzNADTZH
 FkBMAEVfEkRVAExnGUlaIktXClJsAFV1BVp6NVNhKVdoJFpwAGWEAGWKM1pn
 AGaRB2WLAGSvAmaxAG2SAGq0CWizAGu2AGy3NmN1AG24AHChAG65FW2NAHC7
 AHO3AHeiAHfBC3TAAHynAHrELXSOJHaWAH3AAIDEEYCrAIWvFIGsAIa2AIfL
 AInGAIu6D4bEGIaqAIzPPICcDou7AI7LRICWH4muA4/TAJPDTIKTII2sAJTW
 CpPQEZDbO4ulNI2tAJjbAJnWAJvQAJvkAJ3ZFZjPAJ3gGZfUAp/cRJKtAKLY
 AKHjVZCnAqXUAKbpAKfjUJasFaPgJp/WFabdAKvuAKzoYZaoTpu2XJiuAK7j
 B6/rM6beALTvJKviQ6XEALT2EbHtNarbALf6ALjzXqO5G7PwALz4LrPjAL7/
 Cbz+IrbzAcD1M7PqAMH/IbnuDb/7SbLXQLXfAMX/FMD8AMb/AMj/RrbnGcL+
 VrXVAMz/AM7/brPJAND/h6+9ANL+Tb7pJMn+Ocj3DNX/LMz/ScX1R8fxKs/9
 VMTvD9r/TMr0Qs39MtL/YcfsT833W8r1R9D/Ws3xdcboNdj/U9D6R9T9b8zs
 YNH2hMnfWNT+S9j/a9D1Ot//Z9j9UeD/X93/etb3gNbwa9v/qNDfdt38VOf/
 Y+X/gd3+iN34euH/V+3/l9zyZev/pdvtcen/e+f+juP+h+b/nOH4f+r/keb/
 mOf8f+//ker+dvL/ie3/ouf+nOr/gPT+pen/k/D9nfD+jPX/rez9p/D/tuz/
 sfD/uO7/oPj/vvD9sfX/xu/+ufT/wfP/yfL/qvz9wPf8s/z/z/T91/T/yvj/
 0vf/2vb/xP/93/j9zP/+2vv+6fn/1v//3f//5P3/7vv84v/86f/+9vz++f7/
 //37/P/7/v/8eHf3FwAAAAF0Uk5TAEDm2GYAAAAJcEhZcwAACxMAAAsTAQCa
 nBgAAAQSSURBVEjHY2CgI2DBB0hVj0UHUIzP1s0ZDFxdXLy9A6OiolJSUrKz
 s+sD2DE1sLKwcCccef7y5cv3Hz9+AYJPP378BIEfn758ep/CiK6DhYWJP/XY
 P0zw6/vnD6/fPg9lZWJFNZ9JMO8CQtlvIASSvz4DVb969vTh01verEwsKOYL
 5936h6wBZPivzx/evX71+OH9u7fvHbNlRbgK6F/hkgdQZVDwB2b844d3b1+/
 fvXqNit4UIHUN73E5vh3r4HOAaq/ev7UqZNr9aA6gJQ40PxfcPD79+9fv75/
 +/Tp05s3L548unPn6sXTpw8f3jlFC6yDhZVFvGDK7P7+2UAwb+myVauWrV+/
 efPmdSuBYAUILJo/f8mKFevWLZtpDtbByiJW2lxVW9vSjAwmJVpY2NhYW1vb
 2IWXVUyctXzrrqOPillZWMFOUqxtrqtrbOzqm9TcBwGTeqN1dQ1AQMdx48nT
 p65ev33/414RFlaoJ2ybG+qAWrqaFy5rngRUPmlSb6K+vgkQmOnk7tyz7/Cp
 U1ce3VaBhRMLC09qSwNQS2vj+VOT+sA6+oEazMxMzPRN2ndsB+m4+jwdOVxl
 qqpKyxsatr+9O7sZaH7fpP40sAYLXac5W7bsAeq4tYYXJea0qwoK8pe8ffts
 XSPIRQgNSWuXrQfqOHlYngUlbXD6VeV0Pn739PEhkOfhNuhbFMxcBtSx84Qv
 ap4ARl589ZkPzx4+vN1WBdQC0WBipuvYNmUhUMf+bi7UBA5MWUoHP7x9+vD+
 /SVVDcDw6oXYoBs0ZfbshQvXrpJFzxDAKJnx4xVIw8HS0vK6xj6wBgOLzNnA
 JLBwmwNmJmVhET3+5en9u/evdBZUA+0AB6uuXWN/b//sxRkcLKxY8rTmkzd3
 b9++viCzoLShDhRx+gY+/b2TJs1sk8JWbAB1FL5/ePv67V05WUAd0UAb9E0y
 gRr6Z6rjKmd4N70HajhVAtIB1GCiaw10Ue/MWHas6kFWKFx/BMwtsxKBOoAa
 9PV9evsnTWkUx64eHLYhL6+fv7oxPj6nIAyo3iCzH+ggDRZMHyMifNrL81f3
 VYTFZ4E0WDfM7psZzIHLArAOyd03T52aFR6fDNSg69PXO6VcGKf5EG8YX7x4
 cXVMeHwQ0AZgGM1WZsFjAUgHY9Gt0/vy/ON9TAysG6ZM8WTFZwFYh8CGG6eb
 vMJ9THR8+maWC+E1H+Io1bOXF/j7u5vops2cosRCSANQB2vktX0JXu4G1lWL
 PVkJqgfp4Jp8qcbLXddnajkfEepBOqT3rPBw1E+bKcdCwMdwb9gfSLC0nuTC
 SpR6UBJhr+y0jCjhI1I9yA6JnqA4RWCxS3wFrJZvysLCQkKVzarMR4J6WKVN
 qgZS2xEktzyo1IQBAKdDNDMspAWdAAAAAElFTkSuQmCC

## gweled 0.3.2-3

=== debian/changelog ===
gweled (0.3.2-3) unstable; urgency=low

  * Added mute to UI, settings load/save, and code.

 -- Flandry <davidfalkayn@gmail.com>  Tue,  5 Jan 2010 00:33:40 -0500

## gweled 0.3.2-4

=== debian/changelog ===
gweled (0.3.2-4) unstable; urgency=low

  * Fixed code to allow "Quit" when not in active game. 
  * Fixed code to allow "Quit" using Backspace key
  * Added "autopause" feature when focus is lost while in timed mode.
    It saves game and exits; loading up the app will reload the game.

 -- Flandry <davidfalkayn@gmail.com>  Tue,  5 Jan 2010 13:11:58 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A shiny puzzle game
+ Gweled is a clone of the popular Bejeweled puzzle 
+ game, and comes complete with music and sound 
+ effects (and controls to turn them off). It has
+ both timed and untimed play modes, tracks your
+ highest score, and will save and restore your
+ game if you have to take a break for less 
+ important activities like sleeping and eating.
 XB-Maemo-Display-Name: Gweled
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gweled
 XB-Maemo-Icon-26:

## gweled 0.4.0

=== debian/changelog ===
gweled (0.4.0) unstable; urgency=low

  * Increased active area for quit and restart buttons.
  * Increased small font size by 50%.
  * Added animation at game end to make it more obvious.
  * Change quit hotkey from Backspace to Space to allow switching away
    in untimed mode.
  * Changed icon to winner of poll: green emerald.

 -- Flandry <davidfalkayn@gmail.com>  Wed, 10 Mar 2010 02:41:10 -0500

=== debian/control ===
Source: gweled
Section: user/games
Priority: optional
Maintainer: Flandry <davidfalkayn@gmail.com>, Peter Kosyh
Build-Depends: libsdl1.2-dev, libsdl-image1.2-dev, libglib2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.0
Provides: bejeweled

Package: gweled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A shiny puzzle game
 Gweled is a clone of the popular Bejeweled puzzle 
 game, and comes complete with music and sound 
 effects (and controls to turn them off). It has
 both timed and untimed play modes, tracks your
 highest score, and will save and restore your
 game if you have to take a break for less 
 important activities like sleeping and eating.
XB-Maemo-Display-Name: Gweled
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gweled
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAAN1wAADdcBQiibeAAABqJJREFUaN7NmW1oXFkZx3/P7Jnu
 zXpHZyADCbQf8qFgP2zZBltpNatRWqjQIpUV/KCg0pUuVN1KA1skSvAFIyhs
 cUO2tsUt7morqaYSsZUUXKkiYgWFwrpQoQsBZ2TOmsFcmKfz+GHuTCeTuZlM
 9o54Qmbmvv/+z8t5zj1H6LOZWQF4GciTflsQkTkG1cwsb2Z/ssG1upk91w+T
 9AH/HuA3wPua+7KFbCqGUa+YWetRwLMi8sPUBMTwt4D9AIc+ecA+/OJT9b/w
 B0vLuyN335u5cuJ6prZWa4r4vIhc7nVdZovwv27Bnxi3+Vd+QC4IUw3PsYPD
 dmrx0/XsULZp2Atm9pl3JMDM3g0sAe8HOHBi3OZfnWfI5VLPrwpVxg6O2OnF
 z9azWQF4DLhkZp/algAzy8Xwh5rwF9vg14hSFVDVKhX1jB0c4fTiyXYRV8zs
 maTrXAJ8GMN/AODA8XGbv/oIvqIlorQF4K1KIEPqbPfEmJxePFmXrGSsZo8B
 PzazhyKy0NMDZvauGP6DAOPH99r81XlybfCesmnKAiKqeK1SoUqVij05sYfn
 F06aiABkgdfM7NimAszsiRh+AmD8Y3vt4qsb4b16Ik1ZgEYNL6inoh6vFfZN
 PmlnF081RewAfmZmR7sKaIN/ugV/dZ5cUABgVSv41l859RBq5IHH462Kp4o3
 j2ff5D47u7BOxIKZHVmXAzH8L4EPAYwf2WsXF9rgqVCmHFu/jKdkEZExgFbF
 E2iAcx6nzgIXyP6j++3sQqtuBcB1MzsmIsuZGP7nwCTA3iN7NsA3oB/BV7SM
 DsADAKraCqVVPFUqVlXPxNEJm7r2XNNoTwA3zOzpDPBx4DDAngO7+dHCpS7w
 jRt6KtaIT0+EDmzMVdVqI4TirrVKBa+eyWOTdma9iKl13ejY84WHc9G3ISLG
 U5TIFEXjLUVBI+49WMmUvd84FNFH39q+3XGs83vsqWG7Xy5nWvvjf6eudY5T
 BwrfL8xhFdtYB3xQAt1abKuqRKqSBKfaG7r9d03VtHlRfEw1vlG0XlQw4rY+
 Ftpa4L4z+G73U+04jy7bqQhIA75bmHWEUpLgzP8dfLv1uwnZrBJrVftmTwV+
 M6vr5iJS8cCW4NnaMe32DG3vPNZvZ9IKH9LwQJ/WT8UDmgJ8e++ZGPfN82op
 CkgDPtH63UTUuudAfdv0KcS+0mHVBBGqya+Uq2l2pf14YF1I9CpatbR7IU0Z
 fivW/19U4m3DbxZCtUFVYlK0fIIndNDdaD+Jq5sldVLRqiWMkwaeA0nwtT66
 0x7W7zIWGkz49IQnobgl9FDtnOl7YDvwuknR0k2Hkh0zc3cDGXlmJxGRKRER
 EZpQQcJ8YCOEG18he43vE/YNhYEN7wwNBYcjIMDhGCJofToXAHD7wu+lXcDb
 zY0/vnQvM3P3TL2wJ6SkZbx6vGvMRmxUoESqW/OSdhlJdvzOj4Y2MlZ46Jwj
 JE+evORdngLDhK4gefIE5Dl/5rzYWuut9z9ORH5nZl8FvuGc47tHLmTOLZ+q
 F8dGcM6ZU8Q5Z57yOm9EkUo1iqQXuCaNMjeIUSBLQEhIKKELyRESuJyEhDgC
 5qbmZPnlO81nvgF8yQGIyDfNLAt8ba2yRq6Yi0UMSxYMnKDgnTftNaXYD3xH
 SIWuA568hIQEhFw4d1luvvTbJvybwEdFZKWVAyLydTPbAbywWlolV8xlpl8/
 Xc/vHBXUmXPg1Il3ZUucF90mvCoE5JrWJyQkcHnCeN/l6Sty88UW/D+Aj4jI
 WxuSWETOmdnjwJnV0iqFXbnM9O2p+vDIqDh15pxriUgTnhoELmizfp6QnASE
 XJl5TZa+t9yEfxDDP0hcHxCRr5iZA75YebBKcayQmb41Vc+PFMWpM5yDRl6k
 Bo/SNe6vzV5nabYF/1YMf7/nAgfwZeBx4Aul+xWKu4uZmVtT9fxwUQBrdm+J
 Mwl9wqMQdMT9tdkbLM7cbNaplTjm39zSUEJEDDgFXAIo/b3EzNHZDN4xzKgU
 3TCBC1ODjz3QiHuX48b5W+3w/4zh3+hrjSwW8SzwCsDKvRLThxsi8oxKwFBq
 8E0PhOTkV+dvs/DCUpOrFMPf63uRLxbxEPgc8NOGiBWmj8+KqzYqZVrwADlC
 bs+93g7/L+CwiPxtU8atDHvipP4J8AmAsfFd7PpO0e76v0rPEWRnFU54mTnI
 /vryt+404d+OE/bPqc3Zm9kOM/uFDb55MzswkIWHWMTSAOH/bWaH+mGSbYgI
 gKl4hSTttigid/q54L+btN9bLGC0TAAAAABJRU5ErkJggg==

## gweled 0.4.1

=== debian/changelog ===
gweled (0.4.1) unstable; urgency=low

  * Added a 3 second delay before mouse input restarts an ended game.
  * Reduced "No moves left !!!" message to "No moves !!!" to fit in board area.

 -- Flandry <davidfalkayn@gmail.com>  Thu, 11 Mar 2010 03:20:25 -0500

## gweled 0.4.2

=== debian/changelog ===
gweled (0.4.2) unstable; urgency=low

  * Use small font width and height instead of magic numbers to determine
    bonus display offset.

 -- Flandry <davidfalkayn@gmail.com>  Thu, 11 Mar 2010 08:47:03 -0500

## gweled 0.4.3

=== debian/changelog ===
gweled (0.4.3) unstable; urgency=low

  * Re-added small font size.
  * Return points and multiplier bonus to small font while keeping medium
    font for messages.

 -- Flandry <davidfalkayn@gmail.com>  Thu, 11 Mar 2010 11:16:47 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/opt/maemo/usr/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) PREFIX=/opt/maemo/usr/ clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/icebreaker.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gweled PREFIX=/opt/maemo/usr
	$(MAKE) install-hildon DESTDIR=$(CURDIR)/debian/gweled PREFIX=/opt/maemo/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gweled 0.8.repack

=== debian/changelog ===
gweled (0.8.repack-5) unstable; urgency=medium

  * Add autoreconf call after patching src/Makefile.am to use sound.{h,c}
  * Make intltool-update ignore files in quilt .pc/ directory
  * Only remove the content of /var/games, not the directory itself
    (Closes: #595590)
  * Bump standards version to 3.9.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Sep 2010 14:31:54 +0200

gweled (0.8.repack-4) unstable; urgency=low

  * Add /var/games to debian/dirs (Closes: #591597)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 09:28:45 +0200

gweled (0.8.repack-3) unstable; urgency=low

  * Fix bashism and typo in debian/postrm

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Jul 2010 19:03:10 +0200

gweled (0.8.repack-2) unstable; urgency=low

  * Capitalize GNOME to shut-up lintian (Closes: #585797)
  * Remove autotools dependency, leave only intltool
  * Add handling of score files (Closes: #587043)
  * Remove /var/games before packing the package

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Jul 2010 18:57:02 +0200

gweled (0.8.repack-1) unstable; urgency=low

  * Imported Upstream version 0.8.repack (now for real) (Closes: #582829)
  * Fix extra line in debian/rules
  * Change debhelper compatibility level to 7
  * Update build dependencies to include only GTK+, rsvg2 and mikmod.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 May 2010 16:26:14 +0200

gweled (0.8-1) unstable; urgency=low

  * New upstream version 0.8 (Closes: #582028)
  * New upstream author: Daniele Napolitano
  * Regenerate control. (Closes: #554070, #523541)
  * All patches merged upstream, all Debian bugs fixed.
    Closes: #398250, #406884, #402169

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 May 2010 11:42:59 +0200

gweled (0.7-2) unstable; urgency=low

  * Disable disk writer driver in MikMod initialization
    (Closes: #401727, #401375)
  * Fix double free when exiting (Closes: #401730)

 -- Ondřej Surý <ondrej@debian.org>  Tue,  5 Dec 2006 18:20:44 +0100

gweled (0.7-1) unstable; urgency=low

  * New upstream release. (Closes: #392973)
    + Removed some patches merged upstream.
  * Added -rdynamic CFLAG (Closes: #392971)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2006 14:14:41 +0200

gweled (0.6-2) unstable; urgency=low

  * Fix missing DESTDIR in scoredir (Closes: #307643)

 -- Ondřej Surý <ondrej@sury.org>  Fri,  6 May 2005 21:25:38 +0200

gweled (0.6-1) unstable; urgency=low

  * New upstream release.
  * Apply patch to fix timed game speed not resetting (Closes: #286874)
    - credits to Neil Moore <neil@s-z.org>
  * Apply patch to fix FTBFS on amd64 (Closes: #286956)
    - credits to Andreas Jochens <aj@andaco.de>

 -- Ondřej Surý <ondrej@sury.org>  Tue,  3 May 2005 20:48:13 +0200

gweled (0.5-2) unstable; urgency=low

  * Fix PPC runtime error, credits to Michael Klein (Closes: #280506)

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Nov 2004 12:37:17 +0100

gweled (0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove upstream score file from package.
  * Move binary to /usr/games and make it setgid games (Closes: #268682)
  * Create debian menu entry (Closes: #268682)

 -- Ondřej Surý <ondrej@debian.org>  Thu,  2 Sep 2004 09:34:12 +0200

gweled (0.4-1) unstable; urgency=low

  * Initial Release. (Closes: #225711)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Aug 2004 08:58:17 +0200

=== debian/control ===
Source: gweled
Section: games
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	       quilt (>= 0.46-7~),
	       libgtk2.0-dev (>= 2.14),
	       librsvg2-dev,
	       libmikmod2-dev,
	       intltool,
	       hardening-wrapper
Standards-Version: 3.9.1
Homepage: https://launchpad.net/gweled 

Package: gweled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A "Diamond Mine" puzzle game
 Gweled is a GNOME version of a popular PalmOS/Windows/Java
 game called "Bejeweled" or "Diamond Mine". The aim of the game
 is to make alignment of 3 or more gems, both vertically
 or horizontally by swapping adjacent gems. The game ends
 when there are no possible moves left.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

export DEB_BUILD_HARDENING=1

%:
	dh --with quilt $@

override_dh_auto_configure:
	autoreconf
	dh_auto_configure -- --bindir=\$${prefix}/games --localstatedir=/var

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/gweled/var/games/*

## gweled 0.9.1

=== debian/changelog ===
gweled (0.9.1-8) unstable; urgency=medium

  * Apply upstream patch to fix SVGs and allow the game to work with
    current releases of librsvg. Closes: #972084.
  * Switch to debhelper compatibility level 13.
  * Upgrade debian/watch to version 4.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 17:57:28 +0200

gweled (0.9.1-7) unstable; urgency=medium

  * Switch back to plain file names now that librsvg is fixed.
    Closes: #923357.

 -- Stephen Kitt <skitt@debian.org>  Wed, 27 Feb 2019 15:25:24 +0100

gweled (0.9.1-6) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.
  * Rewrite debian/copyright in machine-readable format.
  * Delete obsolete 002-release-sound-if-not-used.patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 09:03:47 +0200

gweled (0.9.1-5) unstable; urgency=medium

  * Cope with librsvg’s new behaviour by always using URIs instead of
    paths. (Closes: #889688.)
  * Add a missing function declaration.
  * Document old patches.
  * Switch to debhelper compatibility 11, and adjust patches so the
    package can build multiple times in a row.
  * Ship /usr/games/gweled with the desired ownership and permissions,
    instead of using dpkg-statoverride.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 09 Feb 2018 09:43:43 +0100

gweled (0.9.1-4) unstable; urgency=medium

  * Adopt the package for the Debian Games Team, thanks Ondřej Surý for
    taking care of it for so long! (Closes: #824504.)
  * Build-depend on libmikmod-dev and use pkg-config to find libmikmod.
    (Closes: #745072.)
  * Add upstream fix for timed and endless modes. (Closes: #738455.)
  * Add the manpage written by Braulio Valdivielso Martínez. (Closes:
    #608439.)
  * Clean up modified files to allow building twice in a row.
  * Switch to dpkg-buildflags hardening instead of hardening-wrapper.
  * Fix a couple of spelling mistakes flagged by Lintian.
  * Correct the synopsis so it doesn't start with an article.
  * Clean up debian/control with cme:
    - drop the obsolete version dependency on libgtk2.0-dev;
    - Standards-Version 3.9.8;
    - use canonical URLs for the VCS entries.
  * Drop obsolete build-dependencies (libesd0-dev and quilt).
  * Move the repository to pkg-games.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 May 2016 18:58:51 +0200

gweled (0.9.1-3) unstable; urgency=low

  * Update watch file
  * Use dh-autoreconf (Closes: #724917)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 02 Oct 2013 13:23:14 +0200

gweled (0.9.1-2) unstable; urgency=low

  * Change homepage and add libesd0-dev build dependency

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2011 16:04:27 +0200

gweled (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1 (Closes: #610915)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2011 13:49:09 +0200

gweled (0.9-1) unstable; urgency=low

  * Imported Upstream version 0.9 (Closes: #610915)
  * Debian packaging:
    + Add a watch file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2011 14:00:10 +0100

=== debian/control ===
Source: gweled
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
# We need root for dh_fixperms
Rules-Requires-Root: binary-targets
Build-Depends: debhelper-compat (= 13),
               intltool,
               libgtk2.0-dev,
               libmikmod-dev,
               librsvg2-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/games-team/gweled
Vcs-Git: https://salsa.debian.org/games-team/gweled.git
Homepage: http://gweled.org/

Package: gweled
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: "Diamond Mine"-style puzzle game
 Gweled is a GNOME version of a popular PalmOS/Windows/Java
 game called "Bejeweled" or "Diamond Mine". The aim of the game
 is to make alignment of 3 or more gems, both vertically
 or horizontally by swapping adjacent gems. The game ends
 when there are no possible moves left.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games --localstatedir=/var

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/gweled/var/games/*

override_dh_fixperms:
	dh_fixperms
	chown root:games debian/gweled/usr/games/gweled
	chmod 02755 debian/gweled/usr/games/gweled

=== debian/watch ===
version=4
https://launchpad.net/gweled/ .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gweled 1.0~alpha

=== debian/changelog ===
gweled (1.0~alpha-1) unstable; urgency=medium

  * New upstream alpha release:
    - Meson is used for builds;
    - shared high scores are no longer supported;
    - the game uses GTK 3 (closes: #967512);
    - most patches have been merged or are obsolete.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Dec 2023 18:19:08 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --localstatedir=/var

execute_after_dh_fixperms:
	chmod 644 debian/gweled/usr/share/pixmaps/gweled/*.??g

## gweled 1.0~beta1

=== debian/changelog ===
gweled (1.0~beta1-1) unstable; urgency=medium

  * New upstream beta release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Mar 2024 19:12:20 +0200

gweled (1.0~alpha-2) unstable; urgency=medium

  * Team Upload
  * remove leftover /var/games ref.
  * drop dpkg-statoverride call (Closes: #1060215)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Jan 2024 19:29:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-# We need root for dh_fixperms
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               intltool,
-               libgtk2.0-dev,
-               libmikmod-dev,
-               librsvg2-dev,
-Standards-Version: 4.6.0
+               desktop-file-utils,
+               libclutter-1.0-dev,
+               libclutter-gtk-1.0-dev,
+               libgnome-games-support-1-dev,
+               libgsound-dev,
+               meson,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/gweled
 Vcs-Git: https://salsa.debian.org/games-team/gweled.git
 Homepage: http://gweled.org/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/games --localstatedir=/var
+	dh_auto_configure -- --bindir=/usr/games
 
 execute_after_dh_fixperms:
 	chmod 644 debian/gweled/usr/share/pixmaps/gweled/*.??g

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
  https://launchpad.net/gweled/ .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
